<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>VueJS App</title>
</head>
<body>
    <div id="app">
        <h3>{{message}}</h3>
        <h2 v-if="isHappy">1 - This is my happy face :)</h2>
        <h2 v-show="isHappy">2 - This is my happy face :)</h2>
        <ol>
            <li v-for="(greet, index) in greetings" :key="index">
                {{greet}}
            </li>
        </ol>
    </div>
    <script src="https://unpkg.com/vue@next"></script>
    <script>
        const app = Vue.createApp({
            data() {
                return {
                    message: 'Hello Ground Gurus!',
                    isHappy: false,
                    greetings: [
                        'Hello',
                        'Hi',
                        'Howdy',
                        'Kamusta'
                    ]
                }
            }
        });
        app.mount('#app');
    </script>
</body>
</html>